org.apache.tinkerpop.gremlin.structure.io.graphson

## Class AbstractObjectDeserializer<T>

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractObjectDeserializer<T>

- Direct Known Subclasses:
    AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageDeserializer, CustomId.CustomIdJacksonDeserializerV2d0, ToyPoint.ToyPointJacksonDeSerializer, ToyTriangle.ToyTriangleJacksonDeSerializer

      public abstract class AbstractObjectDeserializer<T>
      extends <any>

  Base class for creating deserializers which parses JSON to a `Map` to more easily reconstruct an object. Generally speaking greater performance can be attained with deserializer development that directly uses the `JsonParser`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractObjectDeserializer(Class<T> clazz)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `createObject(Map<String,Object> data)`
    `T` | `deserialize(JsonParser jsonParser, DeserializationContext deserializationContext)`
    `boolean` | `isCachable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractObjectDeserializer

          protected AbstractObjectDeserializer(Class<T> clazz)

  - ### Method Detail

    - #### deserialize

          public T deserialize(JsonParser jsonParser,
                               DeserializationContext deserializationContext)
                        throws IOException,
                               JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### isCachable

          public boolean isCachable()

    - #### createObject

          public abstract T createObject(Map<String,Object> data)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.